freeslot("SPR_CKGB") -- Your gibs sprite prefix to freeslot!

// We toss everything in a ThinkFrame so we can let the CustomGibsThinker.lua load first!
local ScriptLoaded = false
addHook("ThinkFrame", function()
	if not(ScriptLoaded)
	and CUSTOM_GIBS then
		ScriptLoaded = true 

		// Create your list of skins for custom gibs here!
		// 		sprite -	The SPR to switch to
		// 		frame -		The frame of the SPR to switch to
		// 		nullifier - Set to true if you want to remove this part

		// Tails uses the full list of available gibs to replace.
		CUSTOM_GIBS["robomario"] = {
			[SPR_DIEC] = {sprite = SPR_CKGB, frame = C, nullifier = false}, -- pedal tip
			[SPR_DIEE] = {sprite = SPR_CKGB, frame = A, nullifier = false}, -- steering wheel
			[SPR_DIEI] = {sprite = SPR_CKGB, frame = B, nullifier = false}, -- wheel axle bar
		}
		
		//You don't have to list out every single DIE# particle! Here, Sonic will
		// use both SOME custom sprites and vanilla sprites.
		CUSTOM_GIBS["anelace"] = {
			[SPR_DIEJ] = {sprite = SPR_CKGB, frame = D, nullifier = false}, -- screw
		}
		
		CUSTOM_GIBS["baronvonbats"] = {
			[SPR_DIEJ] = {sprite = SPR_CKGB, frame = E, nullifier = false}, -- screw
		}
		
		CUSTOM_GIBS["profreshional"] = {
			[SPR_DIEJ] = {sprite = SPR_CKGB, frame = F, nullifier = false}, -- screw
		}
	end
end)